---
title: Document.exitPictureInPicture()
slug: Web/API/Document/exitPictureInPicture
tags:
  - API
  - DOM
  - Document
  - Method
  - Picture-in-Picture
  - Picture-in-Picture API
  - Reference
  - Video
  - pip
---
<div>{{ApiRef("Picture-in-Picture API")}}</div>

<p><span class="seoSummary">The {{domxref("Document")}} method <code><strong>exitPictureInPicture()</strong></code> requests that a video contained in this document, which is currently floating, be taken out of picture-in-picture mode, restoring the previous state of the screen.</span> This usually reverses the effects of a previous call to {{domxref("HTMLVideoElement.requestPictureInPicture()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>exitPromise</em> = <em>document</em>.exitPictureInPicture();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Promise")}}, which is resolved once the {{Glossary("user agent")}} has finished exiting picture-in-picture mode. If an error occurs while attempting to exit full-screen mode, the <code>catch()</code> handler for the promise is called.</p>

<h2 id="Examples">Examples</h2>

<p>This example causes the current document to exit picture-in-picture mode whenever the mouse button is clicked within it.</p>

<pre class="brush: js notranslate">document.onclick = function (event) {
  if (document.pictureInPictureElement) {
    document.exitPictureInPicture()
      .then(() =&gt; console.log("Document Exited from Picture-in-Picture mode"))
      .catch((err) =&gt; console.error(err))
  } else {
    video.requestPictureInPicture();
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Picture-in-Picture", "#exit-pip", "Document.exitPictureInPicture()")}}</td>
   <td>{{Spec2("Picture-in-Picture")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.exitPictureInPicture")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("HTMLVideoElement.requestPictureInPicture()")}}</li>
 <li>{{DOMxRef("HTMLVideoElement.autoPictureInPicture")}}</li>
 <li>{{DOMxRef("HTMLVideoElement.disablePictureInPicture")}}</li>
 <li>{{DOMxRef("Document.pictureInPictureEnabled")}}</li>
 <li>{{DOMxRef("DocumentOrShadowRoot.pictureInPictureElement")}}</li>
 <li>{{CSSxRef(":picture-in-picture")}}</li>
</ul>
